PHP error after installing codecs

Discussion in 'Installation/Configuration' started by bplgonzo, Dec 9, 2007.

  1. bplgonzo

    bplgonzo New Member

    I have Debian Etch with ISPConfig installed. I tried to install/upgrade codecs following this directions:

    http://linux.justinhartman.com/FFmp...er,_Mencoder,_AMR_Installation#Install_ffmpeg

    After finishing all steps I get this error on one of websites:

    Warning: dl() [function.dl]: Unable to load dynamic library '/usr/lib/php5/20060613+lfs/ffmpeg.so' - /usr/local/lib/libavcodec.so.51: undefined symbol: mm_support in /var/www/web7/web/config.php on line 86
    Can't load extension /usr/lib/php5/20060613+lfs/ffmpeg.so



    This is peace of code:

    PHP:
    if ($config['enable_ffmpeg'] == 1)
      {
          
    $extension "ffmpeg";
            
    $extension_soname $extension "." PHP_SHLIB_SUFFIX;
          
    $extension_fullname PHP_EXTENSION_DIR "/" $extension_soname;
            
          
    // load extension
          
    if(!extension_loaded($extension)) {
              
    dl($extension_soname) or die("Can't load extension $extension_fullname\n");
          }
      }
    PHP_EXTENSION_DIR returns: /usr/lib/php5/20060613+lfs

    Can enybody help?
     
  2. bplgonzo

    bplgonzo New Member

    Can somebody at least tell me:

    1) is installing of LAME, MENCODER and FFMPEG in any way affects ISPConfig?

    2) how to uninstall those codecs fully and reinstall them again?
     
  3. falko

    falko Super Moderator ISPConfig Developer

    No.

    I'd install the codecs with Automatix. Take a look at
    http://www.howtoforge.com/the_perfect_desktop_debian_etch_p5 .
     
  4. bplgonzo

    bplgonzo New Member

    Does installation of automatix and codecs can be done via SSH?
     
  5. falko

    falko Super Moderator ISPConfig Developer

    Automatix can be installed via SSH, but Automatix itself is a desktop application, so you need a desktop for it.
     

Share This Page